package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.statement.SQLShowGrantsStatement;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlShowGrantsStatement extends SQLShowGrantsStatement implements MySqlShowStatement {
   public MySqlShowGrantsStatement() {
      this.dbType = DbType.mysql;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.user);
      }

      visitor.endVisit(this);
   }
}
